> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://reference.flatfile.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server.

# Update a guest

PATCH https://api.x.flatfile.com/v1/guests/{guestId}
Content-Type: application/json

Updates a single guest, for example to change name or email

Reference: https://reference.flatfile.com/api-reference/guests/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `guestId` (string, required) — ID of guest to return

### Body (application/json)

This endpoint expects a GuestConfigUpdate.

- `environmentId` (string, optional) — Environment ID
- `email` (string, optional)
- `name` (string, optional)
- `spaces` (list of GuestSpace, optional)

## Response

### 200

- `data` (Guest, required)

## Types

### GuestSpace

- `id` (string, required) — Space ID
- `workbooks` (list of GuestWorkbook, optional)
- `sheets` (list of GuestSheet, optional)
- `lastAccessed` (datetime, optional)

### Guest

- `createdAt` (datetime, required) — Date the guest object was created
- `email` (string, required)
- `environmentId` (string, required) — Environment ID
- `id` (string, required) — Guest ID
- `name` (string, required)
- `spaces` (list of GuestSpace, required)
- `updatedAt` (datetime, required) — Date the guest object was last updated

### GuestWorkbook

- `id` (string, required) — Workbook ID

### GuestSheet

- `id` (string, required) — Sheet ID

## Examples

**Request**

```json
{
  "email": "updated@example.com",
  "name": "Your Name Updated"
}
```

**Response**

```json
{
  "data": {
    "createdAt": "2023-10-30T16:59:45.735Z",
    "email": "email@example.com",
    "environmentId": "us_env_YOUR_ID",
    "id": "us_g_YOUR_ID",
    "name": "Your Name",
    "spaces": [
      {
        "id": "us_sp_YOUR_ID",
        "workbooks": [
          {
            "id": "us_wb_YOUR_ID"
          }
        ],
        "sheets": [
          {
            "id": "us_sh_YOUR_ID"
          }
        ],
        "lastAccessed": "2023-10-30T16:59:45.735Z"
      }
    ],
    "updatedAt": "2023-10-30T16:59:45.735Z"
  }
}
```

**SDK Code**

```python Example0
import requests

url = "https://api.x.flatfile.com/v1/guests/us_g_YOUR_ID"

payload = {
    "email": "updated@example.com",
    "name": "Your Name Updated"
}
headers = {
    "X-Disable-Hooks": "true",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```typescript Example0
import { FlatfileClient } from "@flatfile/api";

const client = new FlatfileClient({ token: "YOUR_TOKEN" });
await client.guests.update("us_g_YOUR_ID", {
    email: "updated@example.com",
    name: "Your Name Updated"
});

```

```go Example0
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.x.flatfile.com/v1/guests/us_g_YOUR_ID"

	payload := strings.NewReader("{\n  \"email\": \"updated@example.com\",\n  \"name\": \"Your Name Updated\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-Disable-Hooks", "true")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example0
require 'uri'
require 'net/http'

url = URI("https://api.x.flatfile.com/v1/guests/us_g_YOUR_ID")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-Disable-Hooks"] = 'true'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"updated@example.com\",\n  \"name\": \"Your Name Updated\"\n}"

response = http.request(request)
puts response.read_body
```

```java Example0
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.x.flatfile.com/v1/guests/us_g_YOUR_ID")
  .header("X-Disable-Hooks", "true")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"updated@example.com\",\n  \"name\": \"Your Name Updated\"\n}")
  .asString();
```

```php Example0
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.x.flatfile.com/v1/guests/us_g_YOUR_ID', [
  'body' => '{
  "email": "updated@example.com",
  "name": "Your Name Updated"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Disable-Hooks' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp Example0
using RestSharp;

var client = new RestClient("https://api.x.flatfile.com/v1/guests/us_g_YOUR_ID");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-Disable-Hooks", "true");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"email\": \"updated@example.com\",\n  \"name\": \"Your Name Updated\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example0
import Foundation

let headers = [
  "X-Disable-Hooks": "true",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "email": "updated@example.com",
  "name": "Your Name Updated"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/guests/us_g_YOUR_ID")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```